librelist archives

« back to archive

Is anyone running Resque on Rails 4.2 and Ruby 2.2?

Is anyone running Resque on Rails 4.2 and Ruby 2.2?

From:
Dave Copeland
Date:
2015-04-07 @ 20:28
Looking for anyone running on both Rails 4.2 and Ruby 2.2, preferable on
Heroku, but not necessary.

We upgraded both and saw massive problems and I want to see if anyone else
has either seen this or not seen anything.

Basically, jobs' perform methods seem to execute, but then the job never
completes, leading to exhausting Threads on the dyno.  Yes, I know Resque
doesn't use Threads, but I'm still interested in if anyone has had this
problem.

Dave

-- 
*Dave Copeland, Director of Engineering*
Washington, DC (Eastern Time Zone)
dave@stitchfix.com